Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515144 - mscore tries to use qt4 despite being linked against qt5 -> segfault
Summary: mscore tries to use qt4 despite being linked against qt5 -> segfault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mscore
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 09:07 UTC by Igor Gnatenko
Modified: 2017-12-10 20:15 UTC (History)
2 users (show)

Fixed In Version: mscore-2.1.0-5.fc27 mscore-2.1.0-5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 19:19:47 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2017-11-20 09:07:50 UTC
➜  ~ coredumpctl info /usr/bin/mscore  
           PID: 13613 (mscore)
           UID: 1000 (brain)
           GID: 1000 (brain)
        Signal: 11 (SEGV)
     Timestamp: Sat 2017-11-18 11:57:28 CET (1 day 22h ago)
  Command Line: mscore
    Executable: /usr/bin/mscore
 Control Group: /user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
          Unit: user@1000.service
     User Unit: gnome-terminal-server.service
         Slice: user-1000.slice
     Owner UID: 1000 (brain)
       Boot ID: cdfc8d7759ea4255973506bc01a7007d
    Machine ID: b0da571cca8c43389c8af330fd4a73e2
      Hostname: ignatenko-w541.localdomain
       Storage: /var/lib/systemd/coredump/core.mscore.1000.cdfc8d7759ea4255973506bc01a7007d.13613.1511002648000000.lz4
       Message: Process 13613 (mscore) of user 1000 dumped core.
                
                Stack trace of thread 13613:
                #0  0x00007fa0a92189d4 _GLOBAL__sub_I_qprinterinfo.cpp (libQtGui.so.4)
                #1  0x00007fa0b3d1f2ea n/a (n/a)


This started to happen since last commit only (switch to use system libs).

Comment 1 Igor Gnatenko 2017-11-20 09:11:30 UTC
I've pushed https://src.fedoraproject.org/rpms/mscore/c/9892fe8abd507bf98038b706855abbf6809b7da5. Most likely, it should fix problem.

Brendan, could you add me to committers or admins list for mscore so I don't miss such problems in future?

Comment 2 Igor Gnatenko 2017-11-20 10:10:00 UTC
A bit more commits in master branch and it is fixed.

Comment 3 Brendan Jones 2017-11-20 13:14:53 UTC
This update has been pulled and is no longer available.

Thanks for the patch, I will try it out.

Comment 4 Brendan Jones 2017-11-20 22:56:23 UTC
By the way, I think you can add yourself to watch commits. https://src.fedoraproject.org/rpms/mscore click on the eyeball top left

Comment 5 Igor Gnatenko 2017-11-23 09:29:03 UTC
(In reply to Brendan Jones from comment #4)
> By the way, I think you can add yourself to watch commits.
> https://src.fedoraproject.org/rpms/mscore click on the eyeball top left

That will not add me as co-maintainer, you need to explicitly do this in settings. Because if you don't do this, I just abuse my provenpackager privileges :)

Comment 6 Fedora Update System 2017-12-01 10:36:01 UTC
mscore-2.1.0-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bcde46a25b

Comment 7 Fedora Update System 2017-12-01 10:36:28 UTC
mscore-2.1.0-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d86ef06d

Comment 8 Fedora Update System 2017-12-02 19:55:01 UTC
mscore-2.1.0-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bcde46a25b

Comment 9 Fedora Update System 2017-12-02 22:39:35 UTC
mscore-2.1.0-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d86ef06d

Comment 10 Fedora Update System 2017-12-10 19:19:47 UTC
mscore-2.1.0-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-12-10 20:15:18 UTC
mscore-2.1.0-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.